%define anolis_release 2
%global xfceversion 4.16

%global namespc Libxfce4util

Name:           libxfce4util
Version:        4.16.0
Release: %{anolis_release}%{dist}
Summary:        Utility library for the Xfce4 desktop environment

License:        LGPLv2+
URL:            http://www.xfce.org/
Source0:        http://archive.xfce.org/src/xfce/%{name}/%{xfceversion}/%{name}-%{version}.tar.bz2
#VCS: git:git://git.xfce.org/xfce/libxfce4util

BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(glib-2.0) >= 2.24.0
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  gtk-doc
BuildRequires:  gobject-introspection-devel
BuildRequires:  vala
BuildRequires:  make

%description
This package includes basic utility non-GUI functions for Xfce4.

%package devel
Summary: Developpment tools for libxfce4util library
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel
Requires: gtk3-devel
Requires: pkgconfig

%description devel
This package includes static libraries and header files for the
libxfce4util library.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
%configure --disable-static

export LD_LIBRARY_PATH="`pwd`/libxfce4util/.libs"

%make_build

%install
%make_install

# kevin identified the issue - fixes wrong library permissions
chmod 755 %{buildroot}/%{_libdir}/*.so

%find_lang %{name}

%generate_compatibility_deps

%files -f %{name}.lang
%license COPYING
%{_libdir}/lib*.so.*
%{_sbindir}/xfce4-kiosk-query
%{_libdir}/girepository-1.0/%{namespc}-1.0.typelib
%{_datadir}/gir-1.0/%{namespc}-1.0.gir
%{_datadir}/vala/vapi/%{name}-1.0.vapi

%dir %{abidir}
%{abidir}/lib*.dump
%{abidir}/xfce4-kiosk-query-option.list

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4
%doc %{_datadir}/gtk-doc/

%files doc
%doc AUTHORS ChangeLog NEWS README.Kiosk THANKS README.md

%changelog
* Wed May 21 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 4.16.0-2
- Rebuild for remove inappropriate build dependencies.

* Fri Mar 17 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 4.16.0-1
- Init package from upstream
